<?
include 'mysql.php';
include_once("include/antixak.php");
include_once("include/zag.php");
include_once("include/ini.php");
include_once("include/check2.php");
include_once("include/sesi.php");
if (isset($user)) {
if(getenv("HTTP_X_FORWARDED_FOR")){ $ip = getenv("HTTP_X_FORWARDED_FOR"); }else{
if(getenv("REMOTE_ADDR")) $ip = getenv("REMOTE_ADDR");}
$ip=htmlspecialchars(stripslashes($ip));
$brow=htmlspecialchars(stripslashes(getenv('HTTP_USER_AGENT')));
$brow=strtok($brow,'/');

$ipone=explode(".",$ip);

$iptwo="$ipone[0].$ipone[1].$ipone[2]";

$file=file("MySql/base123/ban.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data = explode("||",$file[$i]);

if($data[0]==$iptwo){
$time=time()-86400;
if($data[1]>$time){echo"Вы забанены на 24 часов!"; echo "</p></card></wml>"; exit; }
}}

switch(@$go) {

default:
echo "<form action=\"mail.php?go=go&".$sd."&go=to\" method=\"post\">";
echo"Написать письмо:<br/><br/>";
echo"<b>Обязательно указывайте свой e-mail! В игровую почту мы не отвечаем!</b></small><br/>";
echo "Обратный адрес:<br/>";
echo "<input name=\"email\" maxlength=\"50\" title=\"email\"/><br/>";
echo "Письмо:<br/>";
echo "<input name=\"text\" maxlength=\"200\" title=\"text\"/><br/>";

echo "Кому:<br/><select name=\"send\">
<option value=\"support\">Favorit</option></select>
<br/>";
echo '<input type="submit" value="OK" /></form>';
break;

case 'to':

if(empty($_POST[text])){echo"Вы не ввели сообщение."; include_once"include/down.php"; exit; }
if(empty($_POST[email])){echo"Вы не ввели свой e-mail."; include_once"include/down.php"; exit; }
if(empty($_POST[send])){echo"Вы не выбрали кому отправлять письмо."; include_once"include/down.php"; exit; }
if($send=="support"){$to="l2ful@list.ru";}

$text = htmlspecialchars(stripslashes($_POST[text]));
$send = htmlspecialchars(stripslashes($_POST[send]));
$login = htmlspecialchars(stripslashes($_POST[login]));
$email = htmlspecialchars(stripslashes($_POST[email]));

include("include/function.php");

$text=utf_to_win($text);

$text = convert_cyr_string($text, 'w','k');

$name="$email";

$mess="$piz";

$adds = "From: \"".$name."\" <".$name.">\n";

$adds .= "X-sender: \"".$name."\" <".$name.">\n";
$adds .= "Content-Type: text/plain; charset=utf-8\n";


$adds .= "Content-Transfer-Encoding: 8bit\r\n";
$adds .= "X-Mailer: PHP v.".phpversion();

mail("$to", "$login", "$text", "$adds");

echo"Ваше письмо успешно отправлено! Вам ответят в течение 5 рабочих дней.";

break;
}
}else{echo"<small>Пароль или логин неверен!</small>";}

include_once"include/down.php";
?>

